%global pkg_name        threads-shared
%global pkg_version     1.15
%global rpm_pkg_version 1.15
%global rpm_pkg_release 1.n0i.5

Summary:       Perl extension for sharing data structures between threads
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}
Epoch:         0

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JD/JDHEDDEN/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(:WITH_ITHREADS)
BuildRequires: perl(:WITH_THREADS)
%if %{!?_without_test:1}0
BuildRequires: perl(ExtUtils::testlib)
BuildRequires: perl(threads)
BuildRequires: perl(XSLoader)
%endif


%description
By default, variables are private to each thread, and each newly created
thread gets a private copy of each existing variable. This module allows
sharing variables across different threads.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ README


%changelog
* Wed Nov 07 2007 Marius Feraru <altblue@n0i.net> - 0:1.15-1.n0i.5
- version 1.15

* Fri Sep 21 2007 Marius Feraru <altblue@n0i.net> - 0:1.14-1.n0i.4
- version 1.14

* Sun Sep 09 2007 Marius FERARU <altblue@n0i.net> - 0:1.13-2.n0i.3
- shorter summary and description

* Thu Sep 06 2007 Marius Feraru <altblue@n0i.net> - 0:1.13-1.n0i.2
- version 1.13

* Thu May 31 2007 Marius Feraru <altblue@n0i.net> - 0:1.12-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 1.12
